MKPASSWD(1)

BEZEICHNUNG
mkpasswd - Oberfläche für crypt(3) mit zu vielen Funktionalitäten

ÜBERSICHT
mkpasswd PASSWORT [ZUFALLSSTARTWERT]

BESCHREIBUNG
mkpasswd verschlüsselt das angegebene Passwort mittels der Libc-Funktion crypt(3) unter Verwendung des angegebenen Zufallsstartwerts.

OPTIONEN

-S ZEICHENKETTE, --salt=ZEICHENKETTE
    Falls sie mit $ anfängt, dann wird sie ohne irgendwelche Überprüfungen direkt an crypt(3) übergeben.

-R ANZAHL, --rounds=ANZAHL
    Dieses Argument wird ignoriert, falls die ausgewählte Methode keine variablen Runden unterstützt. Für die OpenBSD-Blowfish-Methode ist dies der Logarithmus der Rundenanzahl. Dieses Verhalten ist undefiniert, falls die Option ohne --method verwandt wird.

-m TYP, --method=TYP
    Berechnet das Passwort mittels der Methode TYP. Falls TYP help ist, dann wird die Liste der verfügbaren Methoden angezeigt. Falls TYP mit $-Zeichen anfängt und endet, dann wird die Zeichenkette unverändert an crypt_gensalt(3) übergeben.

-5  Wie --method=md5crypt.

-P NUM, --password-fd=NUM
    Liest das Passwort aus dem Dateideskriptor NUM, anstatt getpass(3) zu verwenden. Falls der Dateideskriptor nicht mit einem TTY verbunden ist, dann wird außer dem gehashten Passwort kein weiterer Text auf der Standardausgabe ausgegeben.

-s, --stdin
    Wie --password-fd=0.

UMGEBUNGSVARIABLEN

MKPASSWD_OPTIONS
    Eine Liste von Optionen, die vor denen auf der Befehlszeile angegebenen ausgewertet werden.

FEHLER
Falls die Option --stdin verwandt wird, werden Passwörter, die bestimmte Steuerzeichen enthalten, ggf. nicht korrekt eingelesen.

Dieses Programm leidet stark daran, über zu viele Funktionalitäten zu verfügen.

SIEHE AUCH
passwd(1), passwd(5), crypt(3), crypt(5), crypt_gensalt(3), getpass(3).

AUTOR
mkpasswd und diese Handbuchseite wurden von Marco d'Itri <md@linux.it> geschrieben und werden unter den Bedingungen der GNU General Public License, Version 2 oder neuer lizenziert.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.